> ## Documentation Index
> Fetch the complete documentation index at: https://servo.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List compatible models



## OpenAPI

````yaml /api-reference/openapi.json get /v1/models
openapi: 3.1.0
info:
  title: Servo Public API
  version: 0.1.0
  description: >-
    Hosted robot policy API for robot inventory, models, deployments, and
    fleets.
servers: []
security:
  - bearerAuth: []
paths:
  /v1/models:
    get:
      tags:
        - catalog
      summary: List compatible models
      operationId: list_models_v1_models_get
      parameters:
        - name: robot
          in: query
          required: true
          schema:
            type: string
            description: Registered robot name or rob_* ID
            title: Robot
          description: Registered robot name or rob_* ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response List Models V1 Models Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Servo organization API key
      description: >-
        Organization API key (`sk_servo_...`) or authenticated CLI session
        token.

````